Index: /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Classification/ThresholdCalculators/NormalDistributionCutPointsThresholdCalculator.cs
===================================================================
--- /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Classification/ThresholdCalculators/NormalDistributionCutPointsThresholdCalculator.cs	(revision 16627)
+++ /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Classification/ThresholdCalculators/NormalDistributionCutPointsThresholdCalculator.cs	(revision 16628)
@@ -26,4 +26,5 @@
 using HeuristicLab.Core;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.DataAnalysis {
@@ -31,10 +32,10 @@
   /// Represents a threshold calculator that calculates thresholds as the cutting points between the estimated class distributions (assuming normally distributed class values).
   /// </summary>
-  [StorableClass]
+  [StorableType("987423CB-F80E-4302-88EC-9B24977C11E4")]
   [Item("NormalDistributionCutPointsThresholdCalculator", "Represents a threshold calculator that calculates thresholds as the cutting points between the estimated class distributions (assuming normally distributed class values).")]
   public class NormalDistributionCutPointsThresholdCalculator : ThresholdCalculator {
 
     [StorableConstructor]
-    protected NormalDistributionCutPointsThresholdCalculator(bool deserializing) : base(deserializing) { }
+    protected NormalDistributionCutPointsThresholdCalculator(StorableConstructorFlag _) : base(_) { }
     protected NormalDistributionCutPointsThresholdCalculator(NormalDistributionCutPointsThresholdCalculator original, Cloner cloner)
       : base(original, cloner) {
Index: /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Classification/ThresholdCalculators/ThresholdCalculator.cs
===================================================================
--- /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Classification/ThresholdCalculators/ThresholdCalculator.cs	(revision 16627)
+++ /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Classification/ThresholdCalculators/ThresholdCalculator.cs	(revision 16628)
@@ -24,4 +24,5 @@
 using HeuristicLab.Core;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.DataAnalysis {
@@ -29,9 +30,9 @@
   /// Base class for threshold calculators for discriminant function classification models.
   /// </summary>
-  [StorableClass]
+  [StorableType("91983232-13A0-420D-83FF-FA4DF5733321")]
   public abstract class ThresholdCalculator : NamedItem, IDiscriminantFunctionThresholdCalculator {
 
     [StorableConstructor]
-    protected ThresholdCalculator(bool deserializing) : base(deserializing) { }
+    protected ThresholdCalculator(StorableConstructorFlag _) : base(_) { }
     protected ThresholdCalculator(ThresholdCalculator original, Cloner cloner)
       : base(original, cloner) {
Index: /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Clustering/ClusteringProblem.cs
===================================================================
--- /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Clustering/ClusteringProblem.cs	(revision 16627)
+++ /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Clustering/ClusteringProblem.cs	(revision 16628)
@@ -23,11 +23,12 @@
 using HeuristicLab.Core;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.DataAnalysis {
-  [StorableClass]
+  [StorableType("04AEF84F-0D3F-4D31-A497-7622F62E129A")]
   [Item("Clustering Problem", "A general clustering problem.")]
   public class ClusteringProblem : DataAnalysisProblem<IClusteringProblemData>, IClusteringProblem {
     [StorableConstructor]
-    protected ClusteringProblem(bool deserializing) : base(deserializing) { }
+    protected ClusteringProblem(StorableConstructorFlag _) : base(_) { }
     protected ClusteringProblem(ClusteringProblem original, Cloner cloner) : base(original, cloner) { }
     public override IDeepCloneable Clone(Cloner cloner) { return new ClusteringProblem(this, cloner); }
Index: /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Clustering/ClusteringProblemData.cs
===================================================================
--- /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Clustering/ClusteringProblemData.cs	(revision 16627)
+++ /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Clustering/ClusteringProblemData.cs	(revision 16628)
@@ -25,7 +25,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.DataAnalysis {
-  [StorableClass]
+  [StorableType("991D1318-FE86-45A6-88BD-948D3376451E")]
   [Item("ClusteringProblemData", "Represents an item containing all data defining a clustering problem.")]
   public sealed class ClusteringProblemData : DataAnalysisProblemData, IClusteringProblemData, IStorableContent {
@@ -72,5 +73,5 @@
 
     [StorableConstructor]
-    private ClusteringProblemData(bool deserializing) : base(deserializing) { }
+    private ClusteringProblemData(StorableConstructorFlag _) : base(_) { }
     [StorableHook(HookType.AfterDeserialization)]
     private void AfterDeserialization() {
Index: /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Clustering/ClusteringSolution.cs
===================================================================
--- /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Clustering/ClusteringSolution.cs	(revision 16627)
+++ /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Clustering/ClusteringSolution.cs	(revision 16628)
@@ -24,4 +24,5 @@
 using HeuristicLab.Common;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.DataAnalysis {
@@ -29,9 +30,9 @@
   /// Represents a clustering data analysis solution
   /// </summary>
-  [StorableClass]
+  [StorableType("D9E11225-A1C7-4BD3-9FAE-FCECC8AA9D26")]
   public class ClusteringSolution : DataAnalysisSolution, IClusteringSolution {
 
     [StorableConstructor]
-    protected ClusteringSolution(bool deserializing) : base(deserializing) { }
+    protected ClusteringSolution(StorableConstructorFlag _) : base(_) { }
     protected ClusteringSolution(ClusteringSolution original, Cloner cloner)
       : base(original, cloner) {
Index: /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/ConstantModel.cs
===================================================================
--- /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/ConstantModel.cs	(revision 16627)
+++ /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/ConstantModel.cs	(revision 16628)
@@ -27,7 +27,8 @@
 using HeuristicLab.Data;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.DataAnalysis {
-  [StorableClass]
+  [StorableType("28BE8334-C013-40E9-BFE7-CF69709D5A14")]
   [Item("Constant Model", "A model that always returns the same constant value regardless of the presented input data.")]
   public class ConstantModel : RegressionModel, IClassificationModel, ITimeSeriesPrognosisModel, IStringConvertibleValue {
@@ -43,5 +44,5 @@
 
     [StorableConstructor]
-    protected ConstantModel(bool deserializing) : base(deserializing) { }
+    protected ConstantModel(StorableConstructorFlag _) : base(_) { }
     protected ConstantModel(ConstantModel original, Cloner cloner)
       : base(original, cloner) {
Index: /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/DataAnalysisModel.cs
===================================================================
--- /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/DataAnalysisModel.cs	(revision 16627)
+++ /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/DataAnalysisModel.cs	(revision 16628)
@@ -25,11 +25,12 @@
 using HeuristicLab.Core;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.DataAnalysis {
-  [StorableClass]
+  [StorableType("1CD73B5F-82EF-4FA1-A85E-0394EBD05BF4")]
   [Item("DataAnalysisModel", "Base class for data analysis models.")]
   public abstract class DataAnalysisModel : NamedItem, IDataAnalysisModel {
     [StorableConstructor]
-    protected DataAnalysisModel(bool deserializing) : base(deserializing) { }
+    protected DataAnalysisModel(StorableConstructorFlag _) : base(_) { }
     protected DataAnalysisModel(DataAnalysisModel original, Cloner cloner)
       : base(original, cloner) { }
Index: /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/DataAnalysisProblem.cs
===================================================================
--- /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/DataAnalysisProblem.cs	(revision 16627)
+++ /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/DataAnalysisProblem.cs	(revision 16628)
@@ -27,7 +27,8 @@
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.Problems.Instances;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.DataAnalysis {
-  [StorableClass]
+  [StorableType("60935B5F-7F77-4390-8E13-DFEFAA0A382D")]
   public abstract class DataAnalysisProblem<T> : Problem, IDataAnalysisProblem<T>,
     IProblemInstanceConsumer<T>, IProblemInstanceExporter<T>
@@ -57,5 +58,5 @@
     }
     [StorableConstructor]
-    protected DataAnalysisProblem(bool deserializing) : base(deserializing) { }
+    protected DataAnalysisProblem(StorableConstructorFlag _) : base(_) { }
 
     protected DataAnalysisProblem(T problemData)
Index: /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/DataAnalysisProblemData.cs
===================================================================
--- /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/DataAnalysisProblemData.cs	(revision 16627)
+++ /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/DataAnalysisProblemData.cs	(revision 16628)
@@ -30,7 +30,8 @@
 using HeuristicLab.Parameters;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.DataAnalysis {
-  [StorableClass]
+  [StorableType("7446B783-B2F0-4225-825B-23BD22592783")]
   public abstract class DataAnalysisProblemData : ParameterizedNamedItem, IDataAnalysisProblemData {
     protected const string DatasetParameterName = "Dataset";
@@ -144,5 +145,5 @@
     }
     [StorableConstructor]
-    protected DataAnalysisProblemData(bool deserializing) : base(deserializing) { }
+    protected DataAnalysisProblemData(StorableConstructorFlag _) : base(_) { }
 
     [StorableHook(HookType.AfterDeserialization)]
Index: /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/DataAnalysisSolution.cs
===================================================================
--- /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/DataAnalysisSolution.cs	(revision 16627)
+++ /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/DataAnalysisSolution.cs	(revision 16628)
@@ -26,4 +26,5 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.DataAnalysis {
@@ -31,5 +32,5 @@
   /// Abstract base class for data analysis solutions
   /// </summary>
-  [StorableClass]
+  [StorableType("1FA1AA30-D0D4-4123-AE0D-CD95FF877A66")]
   public abstract class DataAnalysisSolution : ResultCollection, IDataAnalysisSolution {
     private const string ModelResultName = "Model";
@@ -72,5 +73,5 @@
 
     [StorableConstructor]
-    protected DataAnalysisSolution(bool deserializing) : base(deserializing) { }
+    protected DataAnalysisSolution(StorableConstructorFlag _) : base(_) { }
     protected DataAnalysisSolution(DataAnalysisSolution original, Cloner cloner)
       : base(original, cloner) {
Index: /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Interval.cs
===================================================================
--- /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Interval.cs	(revision 16627)
+++ /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Interval.cs	(revision 16628)
@@ -26,6 +26,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.DataAnalysis {
+  [StorableType("56EAFEEC-8A7B-45EB-87F5-1C78D62B8801")]
   public class Interval : IEquatable<Interval> {
     public double LowerBound { get; private set; }
@@ -234,5 +236,5 @@
 
     public static Interval Square(Interval a) {
-      var values = new List<double> {Math.Pow(a.LowerBound, 2), Math.Pow(a.UpperBound, 2)};
+      var values = new List<double> { Math.Pow(a.LowerBound, 2), Math.Pow(a.UpperBound, 2) };
 
       return new Interval(values.Min(), values.Max());
@@ -240,5 +242,5 @@
 
     public static Interval Cubic(Interval a) {
-      var values = new List<double> {Math.Pow(a.LowerBound, 3), Math.Pow(a.UpperBound, 3)};
+      var values = new List<double> { Math.Pow(a.LowerBound, 3), Math.Pow(a.UpperBound, 3) };
 
       return new Interval(values.Min(), values.Max());
Index: /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/NamedIntervals.cs
===================================================================
--- /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/NamedIntervals.cs	(revision 16627)
+++ /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/NamedIntervals.cs	(revision 16628)
@@ -9,8 +9,9 @@
 using System.Text;
 using System.Threading.Tasks;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.DataAnalysis.Implementation {
   [Item("NamedIntervals", "Represents variables with their interval ranges.")]
-  [StorableClass]
+  [StorableType("230B4E4B-41E5-4D33-9BC3-E2DAADDCA5AE")]
   public class NamedIntervals : Item {
     Dictionary<string, Interval> variableIntervals = new Dictionary<string, Interval>();
@@ -35,5 +36,6 @@
 
     public NamedIntervals() : base() { }
-    protected NamedIntervals(bool deserializing) : base(deserializing) { }
+    [StorableConstructor]
+    protected NamedIntervals(StorableConstructorFlag _) : base(_) { }
 
     protected NamedIntervals(NamedIntervals original, Cloner cloner) : base(original, cloner) {
Index: /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Parser/IntervalConstraint.cs
===================================================================
--- /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Parser/IntervalConstraint.cs	(revision 16627)
+++ /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Parser/IntervalConstraint.cs	(revision 16628)
@@ -4,6 +4,8 @@
 using System.Text;
 using System.Threading.Tasks;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.DataAnalysis {
+  [StorableType("8109BE58-CCFB-4462-A2F4-EEE5DFADAFF7")]
   public class IntervalConstraint {
     public string Expression { get; set; }
Index: /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Parser/IntervalConstraintsParser.cs
===================================================================
--- /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Parser/IntervalConstraintsParser.cs	(revision 16627)
+++ /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Parser/IntervalConstraintsParser.cs	(revision 16628)
@@ -2,10 +2,5 @@
 using System.Collections.Generic;
 using System.Globalization;
-using System.IO;
-using System.Linq;
-using System.Text;
 using System.Text.RegularExpressions;
-using System.Threading.Tasks;
-using HeuristicLab.Optimization;
 
 namespace HeuristicLab.Problems.DataAnalysis {
@@ -27,5 +22,5 @@
             if (match.Success) {
               intervalConstraint.NumberOfDerivation = match.Groups[2].Success ? ParseDerivationCount(match.Groups[2].Value) : 1;
-              intervalConstraint.Definition = match.Groups[3].Value;
+              intervalConstraint.Definition = match.Groups[3].Value.Trim(' ', '\t', '\n', '\r');
               intervalConstraint.IsDerivation = true;
               var formulation = Regex.Match(splitted[1], @"([d∂])(.*[^²³])([²³])?");
@@ -37,5 +32,5 @@
             }
           } else {
-            intervalConstraint.Definition = Regex.Match(definition, @".*[^.\s]*").Value;
+            intervalConstraint.Definition = Regex.Match(definition, @".*[^.\s]*").Value.Trim(' ','\t','\n','\r');
             intervalConstraint.IsDerivation = false;
           }
Index: /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Regression/ConfidenceBoundRegressionSolution.cs
===================================================================
--- /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Regression/ConfidenceBoundRegressionSolution.cs	(revision 16627)
+++ /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Regression/ConfidenceBoundRegressionSolution.cs	(revision 16628)
@@ -24,4 +24,5 @@
 using HeuristicLab.Common;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.DataAnalysis {
@@ -29,5 +30,5 @@
   /// Represents a regression data analysis solution that supports confidence estimates
   /// </summary>
-  [StorableClass]
+  [StorableType("70B75674-818D-4BCB-8EA3-A8AF0B539A06")]
   public class ConfidenceRegressionSolution : RegressionSolution, IConfidenceRegressionSolution {
     protected readonly Dictionary<int, double> varianceEvaluationCache;
@@ -39,6 +40,5 @@
 
     [StorableConstructor]
-    protected ConfidenceRegressionSolution(bool deserializing)
-      : base(deserializing) {
+    protected ConfidenceRegressionSolution(StorableConstructorFlag _) : base(_) {
       varianceEvaluationCache = new Dictionary<int, double>();
     }
Index: /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Regression/ConstantRegressionModel.cs
===================================================================
--- /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Regression/ConstantRegressionModel.cs	(revision 16627)
+++ /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Regression/ConstantRegressionModel.cs	(revision 16628)
@@ -27,7 +27,8 @@
 using HeuristicLab.Data;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.DataAnalysis {
-  [StorableClass]
+  [StorableType("4A79CAF4-DD03-4C07-B31D-060A122B0BA0")]
   [Item("Constant Regression Model", "A model that always returns the same constant value regardless of the presented input data.")]
   [Obsolete]
@@ -43,5 +44,5 @@
 
     [StorableConstructor]
-    protected ConstantRegressionModel(bool deserializing) : base(deserializing) { }
+    protected ConstantRegressionModel(StorableConstructorFlag _) : base(_) { }
     protected ConstantRegressionModel(ConstantRegressionModel original, Cloner cloner)
       : base(original, cloner) {
Index: /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Regression/ConstantRegressionSolution.cs
===================================================================
--- /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Regression/ConstantRegressionSolution.cs	(revision 16627)
+++ /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Regression/ConstantRegressionSolution.cs	(revision 16628)
@@ -23,7 +23,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.DataAnalysis {
-  [StorableClass]
+  [StorableType("13429251-9E30-430A-B9CD-53B024B61E94")]
   [Item(Name = "Constant Regression Solution", Description = "Represents a constant regression solution (model + data).")]
   public class ConstantRegressionSolution : RegressionSolution {
@@ -34,5 +35,5 @@
 
     [StorableConstructor]
-    protected ConstantRegressionSolution(bool deserializing) : base(deserializing) { }
+    protected ConstantRegressionSolution(StorableConstructorFlag _) : base(_) { }
     protected ConstantRegressionSolution(ConstantRegressionSolution original, Cloner cloner) : base(original, cloner) { }
     public ConstantRegressionSolution(ConstantModel model, IRegressionProblemData problemData)
Index: /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Regression/RegressionEnsembleModel.cs
===================================================================
--- /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Regression/RegressionEnsembleModel.cs	(revision 16627)
+++ /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Regression/RegressionEnsembleModel.cs	(revision 16628)
@@ -26,4 +26,5 @@
 using HeuristicLab.Core;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.DataAnalysis {
@@ -31,5 +32,5 @@
   /// Represents regression solutions that contain an ensemble of multiple regression models
   /// </summary>
-  [StorableClass]
+  [StorableType("CB2F632E-DDF3-47B4-98E8-E7C87BA30301")]
   [Item("RegressionEnsembleModel", "A regression model that contains an ensemble of multiple regression models")]
   public sealed class RegressionEnsembleModel : RegressionModel, IRegressionEnsembleModel {
@@ -89,5 +90,5 @@
 
     [StorableConstructor]
-    private RegressionEnsembleModel(bool deserializing) : base(deserializing) { }
+    private RegressionEnsembleModel(StorableConstructorFlag _) : base(_) { }
     private RegressionEnsembleModel(RegressionEnsembleModel original, Cloner cloner)
       : base(original, cloner) {
Index: /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Regression/RegressionEnsembleProblemData.cs
===================================================================
--- /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Regression/RegressionEnsembleProblemData.cs	(revision 16627)
+++ /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Regression/RegressionEnsembleProblemData.cs	(revision 16628)
@@ -26,7 +26,8 @@
 using HeuristicLab.Parameters;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.DataAnalysis {
-  [StorableClass]
+  [StorableType("B6B0985C-C443-42D4-A15C-3B3CCD3710D3")]
   [Item("RegressionEnsembleProblemData", "Represents an item containing all data defining a regression problem.")]
   public sealed class RegressionEnsembleProblemData : RegressionProblemData {
@@ -62,5 +63,5 @@
 
     [StorableConstructor]
-    private RegressionEnsembleProblemData(bool deserializing) : base(deserializing) { }
+    private RegressionEnsembleProblemData(StorableConstructorFlag _) : base(_) { }
     private RegressionEnsembleProblemData(RegressionEnsembleProblemData original, Cloner cloner) : base(original, cloner) { }
     public override IDeepCloneable Clone(Cloner cloner) {
Index: /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Regression/RegressionEnsembleSolution.cs
===================================================================
--- /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Regression/RegressionEnsembleSolution.cs	(revision 16627)
+++ /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Regression/RegressionEnsembleSolution.cs	(revision 16628)
@@ -28,4 +28,5 @@
 using HeuristicLab.Data;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.DataAnalysis {
@@ -33,5 +34,5 @@
   /// Represents regression solutions that contain an ensemble of multiple regression models
   /// </summary>
-  [StorableClass]
+  [StorableType("A17F96F4-55AE-4A2F-9FA6-07231D1F7E55")]
   [Item("Regression Ensemble Solution", "A regression solution that contains an ensemble of multiple regression models")]
   [Creatable(CreatableAttribute.Categories.DataAnalysisEnsembles, Priority = 100)]
@@ -62,6 +63,5 @@
 
     [StorableConstructor]
-    private RegressionEnsembleSolution(bool deserializing)
-      : base(deserializing) {
+    private RegressionEnsembleSolution(StorableConstructorFlag _) : base(_) {
       regressionSolutions = new ItemCollection<IRegressionSolution>();
     }
Index: /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Regression/RegressionModel.cs
===================================================================
--- /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Regression/RegressionModel.cs	(revision 16627)
+++ /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Regression/RegressionModel.cs	(revision 16628)
@@ -25,7 +25,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.DataAnalysis {
-  [StorableClass]
+  [StorableType("E95D7427-C747-40C2-AB4F-A1048EDECEC0")]
   [Item("Regression Model", "Base class for all regression models.")]
   public abstract class RegressionModel : DataAnalysisModel, IRegressionModel {
@@ -41,6 +42,6 @@
     }
 
-    protected RegressionModel(bool deserializing)
-      : base(deserializing) {
+    [StorableConstructor]
+    protected RegressionModel(StorableConstructorFlag _) : base(_) {
       targetVariable = string.Empty;
     }
Index: /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Regression/RegressionProblem.cs
===================================================================
--- /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Regression/RegressionProblem.cs	(revision 16627)
+++ /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Regression/RegressionProblem.cs	(revision 16628)
@@ -23,7 +23,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.DataAnalysis {
-  [StorableClass]
+  [StorableType("D5CFFB52-FE65-432C-B245-927AA7DC3919")]
   [Item("Regression Problem", "A general regression problem.")]
   public class RegressionProblem : DataAnalysisProblem<IRegressionProblemData>, IRegressionProblem, IStorableContent {
@@ -31,5 +32,5 @@
 
     [StorableConstructor]
-    protected RegressionProblem(bool deserializing) : base(deserializing) { }
+    protected RegressionProblem(StorableConstructorFlag _) : base(_) { }
     protected RegressionProblem(RegressionProblem original, Cloner cloner) : base(original, cloner) { }
     public override IDeepCloneable Clone(Cloner cloner) { return new RegressionProblem(this, cloner); }
Index: /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Regression/RegressionProblemData.cs
===================================================================
--- /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Regression/RegressionProblemData.cs	(revision 16627)
+++ /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Regression/RegressionProblemData.cs	(revision 16628)
@@ -30,7 +30,8 @@
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.Problems.DataAnalysis.Implementation;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.DataAnalysis {
-  [StorableClass]
+  [StorableType("6538FC76-4A82-482C-93DA-04A49C3F7AF4")]
   [Item("RegressionProblemData", "Represents an item containing all data defining a regression problem.")]
   public class RegressionProblemData : DataAnalysisProblemData, IRegressionProblemData, IStorableContent {
@@ -136,5 +137,5 @@
 
     [StorableConstructor]
-    protected RegressionProblemData(bool deserializing) : base(deserializing) { }
+    protected RegressionProblemData(StorableConstructorFlag _) : base(_) { }
     [StorableHook(HookType.AfterDeserialization)]
     private void AfterDeserialization() {
Index: /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Regression/RegressionSolution.cs
===================================================================
--- /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Regression/RegressionSolution.cs	(revision 16627)
+++ /branches/2971_named_intervals/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Regression/RegressionSolution.cs	(revision 16628)
@@ -24,4 +24,5 @@
 using HeuristicLab.Common;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.DataAnalysis {
@@ -29,11 +30,10 @@
   /// Represents a regression data analysis solution
   /// </summary>
-  [StorableClass]
+  [StorableType("CE8CB5F3-6BC8-448B-80A0-DDCEDDB4F062")]
   public class RegressionSolution : RegressionSolutionBase {
     protected readonly Dictionary<int, double> evaluationCache;
 
     [StorableConstructor]
-    protected RegressionSolution(bool deserializing)
-      : base(deserializing) {
+    protected RegressionSolution(StorableConstructorFlag _) : base(_) {
       evaluationCache = new Dictionary<int, double>();
     }
